TLabelMapFilter< Image > Class Template Reference

`#include <mia/template/labelmap.hh>`

Inheritance diagram for TLabelMapFilter< Image >:
[legend]
Collaboration diagram for TLabelMapFilter< Image >:
[legend]

## Public Types

typedef TDataFilter< Image >::result_type | result_type
Public Types inherited from TDataFilter< Image >
typedef Image | Image
| defines the image type handled by the image filter
typedef Image | plugin_data
| plugin handler helper type
typedef filter_type | plugin_type
| plugin handler helper type
typedef std::shared_ptr< TDataFilter< Image > > | Pointer
| pointer type of the data filtered by this filter
typedef TFilter< std::shared_ptr< Image > >::result_type | result_type
| result type of this filter
Public Types inherited from TFilter< std::shared_ptr< Image > >
typedef std::shared_ptr< Image > | result_type
| defines the return type of the filter function
Public Types inherited from CPropertyFlagHolder
typedef std::set< const char * > | Set
| define the type of the set of flags

## Public Member Functions

template<class TImage>
TLabelMapFilter< Image >::result_type | operator() (const TImage &data) const
| TLabelMapFilter (const CLabelMap &lmap)
Public Member Functions inherited from TDataFilter< Image >
result_type | filter (const Image &image) const
std::set< EPixelType > | test_pixeltype_conversion (const std::set< EPixelType > &in_types) const
virtual | ~TDataFilter ()
Public Member Functions inherited from CProductBase
const char * | get_init_string () const
void | set_init_string (const char *init)
void | set_module (PPluginModule module)
Public Member Functions inherited from CPropertyFlagHolder
void | add (const char *property)
Set | get_missing_properties (const CPropertyFlagHolder &testset) const
bool | has (const char *property) const
bool | has_all_in (const CPropertyFlagHolder &testset) const
virtual | ~CPropertyFlagHolder ()

## Detailed Description

template<class Image>
class TLabelMapFilter< Image >

Definition at line 31 of file template/labelmap.hh.

## Member Typedef Documentation

## result_type

template<class Image>

typedef TDataFilter<Image>::result_type TLabelMapFilter< Image >::result_type

Definition at line 36 of file template/labelmap.hh.

## Constructor & Destructor Documentation

## TLabelMapFilter()

template<class Image>

TLabelMapFilter< Image >::TLabelMapFilter | ( | const CLabelMap & | lmap | ) |

## Member Function Documentation

## operator()()

template<class Image>
template<class TImage>

TLabelMapFilter< Image >::result_type TLabelMapFilter< Image >::operator() | ( | const TImage & | data | ) | const

The documentation for this class was generated from the following file:

- template/labelmap.hh